package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;

public class Beat extends BaseDevMode{

    private boolean startCount = false;

    public Beat(){

        this.setMode(WorkModes.BEAT);

        //时间
        this.setMinTime(60);
        this.setMaxTime(5 * 60 );
        this.setDefaultTime(3 * 60);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(4);
        this.setMinMotorGear(3);
        this.setMaxMotorGear(4);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(false);
        this.setMotorDirection(MotorDirections.FORWARD);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(0);
        this.setTempChange(false);

    }




}
