package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;

public class Grind extends BaseDevMode{

    private boolean startCount = false;

    public Grind(){

        this.setMode(WorkModes.GRIND);

        //时间
        this.setMinTime(0);
        this.setMaxTime(3 * 60 );
        this.setDefaultTime(30);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(10);
        this.setMinMotorGear(0);
        this.setMaxMotorGear(12);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(false);
        this.setMotorDirection(MotorDirections.FORWARD);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(0);
        this.setTempChange(false);

    }




}
